Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server.webadmin.rest.representations
Class JmxAttributeRepresentation

    java.lang.Object
      org.neo4j.server.rest.repr.Representation
          org.neo4j.server.rest.repr.MappingRepresentation
              org.neo4j.server.rest.repr.ObjectRepresentation
                  org.neo4j.server.webadmin.rest.representations.JmxAttributeRepresentation

    public class JmxAttributeRepresentation

extends ObjectRepresentation

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`ObjectRepresentation.Mapping`

Field Summary
`protected MBeanAttributeInfo` | `attrInfo`
`protected MBeanServer` | `jmxServer`
`protected ObjectName` | `objectName`

Fields inherited from class org.neo4j.server.rest.repr.Representation
`BOOLEAN, BOOLEAN_LIST, BYTE, BYTE_LIST, CHARACTER, CHARACTER_LIST, DOUBLE, DOUBLE_LIST, EXCEPTION, EXTENSION, EXTENSIONS_MAP, FLOAT, FLOAT_LIST, GRAPHDB, INDEX, INTEGER, INTEGER_LIST, LONG, LONG_LIST, NODE, NODE_INDEXES, NODE_LIST, PATH, PATH_LIST, PROPERTIES_MAP, RELATIONSHIP, RELATIONSHIP_INDEXES, RELATIONSHIP_LIST, RELATIONSHIP_TYPE, SHORT, SHORT_LIST, STRING, STRING_LIST, URI, URI_TEMPLATE`

Constructor Summary
`JmxAttributeRepresentation(ObjectName objectName, MBeanAttributeInfo attrInfo)`

Method Summary
`ValueRepresentation` | `getDescription()`
`ValueRepresentation` | `getName()`
`ValueRepresentation` | `getType()`
`Representation` | `getValue()`
`ValueRepresentation` | `isIs()`
`ValueRepresentation` | `isReadable()`
`ValueRepresentation` | `isWriteable()`

Methods inherited from class org.neo4j.server.rest.repr.ObjectRepresentation
`serialize`

Methods inherited from class org.neo4j.server.rest.repr.MappingRepresentation
`stringMap`

Methods inherited from class org.neo4j.server.rest.repr.Representation
`emptyRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectName

    protected ObjectName objectName

### attrInfo

    protected MBeanAttributeInfo attrInfo

### jmxServer

    protected MBeanServer jmxServer

Constructor Detail

### JmxAttributeRepresentation

    public JmxAttributeRepresentation(ObjectName objectName,
                                      MBeanAttributeInfo attrInfo)

Method Detail

### getName

    public ValueRepresentation getName()

### getDescription

    public ValueRepresentation getDescription()

### getType

    public ValueRepresentation getType()

### isReadable

    public ValueRepresentation isReadable()

### isWriteable

    public ValueRepresentation isWriteable()

### isIs

    public ValueRepresentation isIs()

### getValue

    public Representation getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.